/**
 *
 */

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.SignalOptimizeApplication;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemCrossDayMapper;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.MethodSorters;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Date;

/**
 * @author fengyi
 * @date
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = SignalOptimizeApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
@Slf4j
public class AnalysisProblemDayTaskTest {

    @Autowired
    private AnalysisProblemCrossDayMapper analysisProblemCrossDayMapper;

    @Test
    public void testProducerTrack() {

        DateTime endTDateTime = DateUtil.date();

        //开始时间
        DateTime startTDateTime = DateUtil.offsetHour(endTDateTime, -1);
        String sdt = startTDateTime.toString("yyyy-MM-dd HH:00:00");

        //窗口截止时间
        startTDateTime = DateUtil.offsetSecond(startTDateTime, 59);
        String edt = startTDateTime.toString("yyyy-MM-dd HH:mm:ss");

        System.out.println();
//        long st = System.currentTimeMillis();
//        DateTime startTDateTime = DateUtil.beginOfDay(new Date());
//        DateTime endTDateTime = DateUtil.date(); //DateUtil.offsetHour(startTDateTime,1);
//
//        while (startTDateTime.isBefore(endTDateTime)) {
//
//            String sdt = startTDateTime.toString("yyyy-MM-dd HH:00:00");
//
//            startTDateTime = DateUtil.offsetHour(startTDateTime, 1);
//            startTDateTime = DateUtil.offsetSecond(startTDateTime,-1);
//
//            String edt = startTDateTime.toString("yyyy-MM-dd HH:mm:ss");
//
//            analysisProblemCrossDayMapper.insertGreenCrossHourData(sdt, edt);
//
//            startTDateTime = DateUtil.offsetSecond(startTDateTime,1);
//           log.info("小时粒度数据入库，小时开始时间：{},小时截止时间：{}，截止时间：{}",sdt,edt,endTDateTime.toString("yyyy-MM-dd HH:mm:ss"));
//
//        }
//
//        long et = System.currentTimeMillis();
//        System.out.println((et - st) + "ms");

    }


}
